function onBegin()
  makeUnskippable()
  disableRetry()
  disableMovement()
  disablePause()
  waitUntilOnGround()
  wait(1.8)
  --say("edroom1")
  completeArea(true,false,false)
  wait(0.2)
  walk(160,false,1,false)
  --enableMovement()
  --enableRetry()
  enablePause()
  endCutscene()
end